library IEEE;
use IEEE.std_logic_1164.all;

entity clocked_camellia is
	port(
		clk: in STD_LOGIC;
		data_in: in  STD_LOGIC_VECTOR (0 to 127);
		kljuc : in  STD_LOGIC_VECTOR (0 to 127);
		data_out: out  STD_LOGIC_VECTOR (0 to 127)
		);
end clocked_camellia;

architecture shema of clocked_camellia is
	
	signal data_in_int:STD_LOGIC_VECTOR (0 to 127);
	signal kljuc_int:STD_LOGIC_VECTOR (0 to 127);
	signal data_out_int:STD_LOGIC_VECTOR (0 to 127);
	
	component camellia is
		port(
			data_in: in  STD_LOGIC_VECTOR (0 to 127);
			kljuc : in  STD_LOGIC_VECTOR (0 to 127);
			data_out: out  STD_LOGIC_VECTOR (0 to 127)
			);
	end component;
	
begin
		camellia_int: camellia
			port map(
					data_in => data_in_int,
					kljuc => kljuc_int,
					data_out => data_out_int
					);
	
	
	PROCESS(clk)
	
	begin
	
	IF(clk'EVENT AND clk='1')THEN

	data_in_int <= data_in ;		
	kljuc_int <= kljuc;
	data_out <= data_out_int ;
			
				
		END IF;
		
	END PROCESS;
		
		
end shema;
		
		
		
		