
library IEEE;
use IEEE.std_logic_1164.all;


entity sbox3 is
    port  (
            sbox3_in  : IN STD_LOGIC_VECTOR(0 to 7);
            sbox3_out : OUT STD_LOGIC_VECTOR(0 to 7)
            );
end sbox3;

architecture shema of sbox3 is

    component sbox1 is
        port(
             sbox1_in  : in   STD_LOGIC_VECTOR (0 to 7);
			 sbox1_out : out  STD_LOGIC_VECTOR (0 to 7)
             );
    end component;

    -- sbox1 signali
    signal s1_in  : STD_LOGIC_VECTOR(0 to 7);
    signal s1_out : STD_LOGIC_VECTOR(0 to 7);

begin

    S1 : sbox1
        port map(s1_in, s1_out);

    s1_in <= sbox3_in;
    sbox3_out <= s1_out(7) & s1_out(0 to 6);

end shema;
