
library IEEE;
use IEEE.std_logic_1164.all;

entity camellia_tb is

end camellia_tb;

architecture shema of camellia_tb is

    component clocked_camellia is
        port    (
				clk: in STD_LOGIC;
                data_in    : in  STD_LOGIC_VECTOR (0 to 127);
                kljuc        : in  STD_LOGIC_VECTOR (0 to 127);
                data_out   : out STD_LOGIC_VECTOR (0 to 127)
                );
    end component;

   signal    clk   :  STD_LOGIC;
    signal    data_in    :  STD_LOGIC_VECTOR (0 to 127);
    signal    kljuc        :  STD_LOGIC_VECTOR (0 to 127);
    signal    data_out   :  STD_LOGIC_VECTOR (0 to 127);
    constant CLK_PERIOD  : TIME := 50 ns;

begin

		clocked_camellia_inst   : clocked_camellia
		port map(clk, data_in , kljuc, data_out);

		
		clk_gen  : process
			begin
			
				clk <= '0';
				wait for CLK_PERIOD / 2;
				clk <= '1';
				wait for CLK_PERIOD / 2;
				
		end process;
   
	process
	begin
			data_in <= X"0123456789ABCDEFFEDCBA9876543210";
			kljuc <= X"0123456789ABCDEFFEDCBA9876543210";
		wait for 50 ns;
			data_in<= X"85858585858585858585858585858585";
			kljuc<= X"85858585858585858585858585858585";
		wait for 50 ns;
			data_in<= X"EA024714AD5C4D84EA024714AD5C4D84";
			kljuc<= X"2BD6459F82C5B300952C49104881FF48";
		wait for 50 ns;
		data_in<= X"8680DA51400368C5B836FB54D3017CA6";
			kljuc<= X"B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7B7";
		wait for 50 ns;
		data_in<= X"410E33F316DF4A72AA2BCD4114E2314D";
			kljuc<= X"000102030405060708090A0B0C0D0E0F";
		wait for 50 ns;
		end process;
		
end shema;
