library IEEE;
use IEEE.std_logic_1164.all;


entity FL is
    port(
		fl_in:in  STD_LOGIC_VECTOR (0 to 63);
		fl_k:in  STD_LOGIC_VECTOR (0 to 63);
		fl_out: out  STD_LOGIC_VECTOR (0 to 63);
		fli_in:in  STD_LOGIC_VECTOR (0 to 63);
		fli_k:in  STD_LOGIC_VECTOR (0 to 63);
		fli_out: out  STD_LOGIC_VECTOR (0 to 63)
		);
end FL;

architecture shema of FL is

	signal x1: STD_LOGIC_VECTOR (0 to 31);
	signal x2: STD_LOGIC_VECTOR (0 to 31);
	signal k1: STD_LOGIC_VECTOR (0 to 31);
	signal k2: STD_LOGIC_VECTOR (0 to 31);
	signal a1, b1, c1, d1: STD_LOGIC_VECTOR (0 to 31);
	signal y1: STD_LOGIC_VECTOR (0 to 31);
	signal y2: STD_LOGIC_VECTOR (0 to 31);
	signal k1i: STD_LOGIC_VECTOR (0 to 31);
	signal k2i: STD_LOGIC_VECTOR (0 to 31);
	signal a2, b2, c2, d2: STD_LOGIC_VECTOR (0 to 31);
	
	
begin

	--FL funkcija
		x1<= fl_in(0 to 31);
		x2<= fl_in(32 to 63);
		k1<= fl_k(0 to 31);
		k2<= fl_k(32 to 63);
		a1<= x1 and k1;
		b1<= x2 xor (a1(1 to 31)&a1(0));
		c1<= b1 or k2;
		d1<= x1 xor c1;
		fl_out<= d1 & b1;
	
	--FLINV funkcija
		y1<= fli_in(0 to 31);
		y2<= fli_in(32 to 63);
		k1i<= fli_k(0 to 31);
		k2i<= fli_k(32 to 63);
		a2<= y2 or k2i;
		b2<= y1 xor a2;
		c2<= b2 and k1i;
		d2<= y2 xor (c2(1 to 31)&c2(0));
		fli_out<= b2 & d2;

	
end shema;