
library IEEE;
use IEEE.std_logic_1164.all;


entity sbox2 is
    port  (
            sbox2_in  : IN STD_LOGIC_VECTOR(0 to 7);
            sbox2_out : OUT STD_LOGIC_VECTOR(0 to 7)
            );
end sbox2;

architecture shema of sbox2 is

    component sbox1 is
        port  (
               sbox1_in  : IN STD_LOGIC_VECTOR(0 to 7);
               sbox1_out : OUT STD_LOGIC_VECTOR(0 to 7)
                );
    end component;

    -- sbox1 signali
    signal s1_in  : STD_LOGIC_VECTOR(0 to 7);
    signal s1_out : STD_LOGIC_VECTOR(0 to 7);

begin

    S1 : sbox1
        port map(s1_in, s1_out);

    s1_in <= sbox2_in;
     sbox2_out <= s1_out(1 to 7) & s1_out(0);

end shema;
